/*
 * Copyright 1991 Addison-Wesley Publishing Company
 *                (see the file "COPYRIGHTS" for details)
 */

/**********************************************/
/* StepList.h - header file for stepper widget */
/**********************************************/

/* new resource names */

#define XmNarrowWidth "arrowWidth"
#define XmCArrowWidth "ArrowWidth"

#define STEPPER_CLASS "StepList"

/* procedures */

Widget CreateStepList ();
void StepListSetCurrent ();
void StepListGetCurrent ();

/* definition of callback structure */

typedef struct {
    int             reason;
    XEvent         *event;
    XmStringTable   list;
    int             elements,
                    current,
                    previous;
} StepListCallbackStruct;

/**********************************************/
